Clone
Carol Frampton <cframpton@apache.org>
committed
on 14 Dec 12
For the compile target, set javac source and target options to 1.6. This will allow us to use FlashBuilder 4.7 with the SDK when the compil… Show more
For the compile target, set javac source and target options to 1.6.  This will allow us to use FlashBuilder 4.7 with the SDK when the compiler is built with Java 1.7 since FB supports Java 1.6 but not 1.7.  All the other compiler modules set these javac options to either 1.4 or 1.5.

I chose 1.6 to avoid many warnings of this style:

warning: as of release 5, 'enum' is a keyword, and may not be used as an identifier

but this should be ok since we require a minimum of Java 1.6 according to our README.

git-svn-id: https://svn.apache.org/repos/asf/incubator/flex/sdk/branches/release4.9@1421944 13f79535-47bb-0310-9956-ffa450edef68

Show less

master + 20 more